import request from '@/utils/request'


export function getPurchaseQuotationPage(data) {
  return request({
    url: '/procure-quotation/page',
    method: 'get',
    params: data
  })
}

export function getPurchaseQuotationList(data) {
  return request({
    url: '/procure-quotation/list',
    method: 'post',
    data: data
  })
}

export function getPurchaseQuotationById(data) {
  return request({
    url: '/procure-quotation/listById',
    method: 'post',
    data: data
  })
}

export function addPurchaseQuotation(data) {
  return request({
    url: '/procure-quotation/add',
    method: 'post',
    data: data
  })
}

export function editPurchaseQuotation(data) {
  return request({
    url: '/procure-quotation/edit',
    method: 'post',
    data: data
  })
}

export function delPurchaseQuotation(data) {
  return request({
    url: '/procure-quotation/delete',
    method: 'post',
    data: data
  })
}

// 获取最新报价单编号
export function getQuotationNum(data) {
  return request({
    url: '/procure-quotation/getQuotaNum',
    method: 'post',
    data: data
  })
}
